unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FoldrDlg;

type
  TForm1 = class(TForm)
    Button1: TButton;
    btnBrowse1: TButton;
    CheckBox2: TCheckBox;
    btnBrowse2: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    FolderDialog2: TFolderDialog;
    FolderDialog1: TFolderDialog;
    procedure Button1Click(Sender: TObject);
    procedure btnBrowse1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure btnBrowse2Click(Sender: TObject);
    procedure FolderDialog1Show(Sender: TObject);
  private
    { Private declarations }
  public
    procedure FolderDialogExecute(FolderDialog: TFolderDialog);
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FolderDialogExecute(FolderDialog: TFolderDialog);
begin
  with FolderDialog do
    if Execute then
    begin
      Edit1.text:= Directory;
      Edit2.Text:= DisplayName;
    end
end;

procedure TForm1.btnBrowse1Click(Sender: TObject);
begin
  FolderDialogExecute(FolderDialog1)
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ShowMessage('Button1Click')
end;

procedure TForm1.btnBrowse2Click(Sender: TObject);
begin
  FolderDialogExecute(FolderDialog2)
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  ShowMessage('CheckBox2Click')
end;

procedure TForm1.FolderDialog1Show(Sender: TObject);
begin
 { resize common dialog for fun }
  with FolderDialog1 do
    SetWindowPos(Handle, 0, 0, 0, ClientWidth+20, ClientHeight+40,
        SWP_NOACTIVATE or SWP_NOCOPYBITS or SWP_NOMOVE or
        SWP_NOZORDER);
end;

end.
